package com.xhpc.general.domain;

import com.xhpc.common.core.web.domain.BaseEntity;

/**
 * @author yuyang
 * @date 2021/7/30 18:16
 */
public class XhpcSms extends BaseEntity {

    /**
     * 短信id
     */
    private Long smsId;
    /**
     * 类型
     */
    private String phone;
    /**
     * 编号
     */
    private String code;
    /**
     * 模板id
     */
    private String templateId;
    /**
     *
     */
    private String accessKey;
    /**
     *
     */
    private String secretKey;
    /**
     *
     */
    private String regionId;
    /**
     * 短信内容
     */
    private String content;
    /**
     * 状态（0成功 1失败 2.空号 3.系统异常）
     */
    private Integer status;
    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private Integer delFlag;

    public Long getSmsId() {

        return smsId;
    }

    public void setSmsId(Long smsId) {

        this.smsId = smsId;
    }

    public String getPhone() {

        return phone;
    }

    public void setPhone(String phone) {

        this.phone = phone;
    }

    public String getCode() {

        return code;
    }

    public void setCode(String code) {

        this.code = code;
    }

    public String getTemplateId() {

        return templateId;
    }

    public void setTemplateId(String templateId) {

        this.templateId = templateId;
    }

    public String getAccessKey() {

        return accessKey;
    }

    public void setAccessKey(String accessKey) {

        this.accessKey = accessKey;
    }

    public String getSecretKey() {

        return secretKey;
    }

    public void setSecretKey(String secretKey) {

        this.secretKey = secretKey;
    }

    public String getRegionId() {

        return regionId;
    }

    public void setRegionId(String regionId) {

        this.regionId = regionId;
    }

    public String getContent() {

        return content;
    }

    public void setContent(String content) {

        this.content = content;
    }

    public Integer getStatus() {

        return status;
    }

    public void setStatus(Integer status) {

        this.status = status;
    }

    public Integer getDelFlag() {

        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {

        this.delFlag = delFlag;
    }

}
